# $Revision: 1.24 $, $Date: 2004/08/22 19:07:57 $
Summary:	Implementation of DVD CSS authentication protocol and decryption algorithm
Summary(pl):	Implementacja algorytmu uwierzytelniania i deszyfrowania DVD CSS
Name:		libcss
Version:	0.1.0
Release:	7
License:	GPL
Group:		Libraries
Source0:	http://www.linuxvideo.org/oms/data/%{name}-%{version}.tar.gz
# Source0-md5:	f328077f56f690d0136a106080c359df
Patch0:		%{name}-install.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-am15.patch
Patch3:		%{name}-gcc33.patch
URL:		http://linuxvideo.org/oms/
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains code to perform the CSS authentication protocol,
allowing locked sectors on the DVD disc to be accessed. We are allowed
to read the disc key and title keys.

It contains also an implementation of the CSS decryption algorithm, so
that we can watch DVD's.

%description -l pl
Pakiet zawiera kod obsugujcy protok uwierzytelniania CSS,
pozwalajcy na dostp do zablokowanych sektorw na dyskach DVD.
Umoliwia odczyt klucza dysku oraz klucze tytuw.

Ponadto pakiet zawiera implementacj algorytmu deszyfrujcego CSS,
pozwalajc na ogldanie filmw z DVD.

%package -n css
Summary:	Some useful programs to access DVD
Summary(pl):	Uyteczne programy zwizane z DVD
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description -n css
Some useful programs to access DVD.

%description -n css -l pl
Uyteczne programy zwizane z DVD.

%package devel
Summary:	DVD CSS library headers
Summary(pl):	Pliki nagwkowe biblioteki DVD CSS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the libraries, include files and other resources you can use
to incorporate libcss into applications.

%description devel -l pl
Pliki nagwkowe pozwalajce na uywanie biblioteki libcss w swoich
programach.

%package static
Summary:	DVD CSS static libraries
Summary(pl):	Statyczne biblioteki do obsugi DVD CSS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libcss libraries.

%description static -l pl
Statyczna biblioteka libcss.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--with-kernel-includes=/usr/include
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc src/README*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files -n css
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/css.h
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcss.spec,v $
Revision 1.24  2004/08/22 19:07:57  qboosh
- don't use kernel headers in userspace (fixes build)
- added .la, pl fixes, removed bogus gtk+-devel dep, release 7

Revision 1.23  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.22  2003/06/03 22:33:53  djurban
- works and builds with gcc 3.3 (tx malekith)
- fixed ac

Revision 1.21  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:49:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2002/11/27 21:10:40  juandon
- new %%doc

Revision 1.18  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.16  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.14  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/02 20:20:48  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/02/01 14:50:10  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.11  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/19 00:45:35  kloczek
- release 5.

Revision 1.9  2001/12/18 18:43:52  gotar
- one more typo.

Revision 1.8  2001/12/18 17:36:29  gotar
- cosmetics.

Revision 1.7  2001/10/06 06:26:27  kloczek
- added am15 patch.

Revision 1.6  2001/10/03 19:08:01  kloczek
- cosmetics.

Revision 1.5  2001/10/03 16:42:43  filon
- changed req for main subpkg in static subpkg to devel
- release 4

Revision 1.4  2001/06/24 09:37:44  misiek
- added URL
- added translations
- rebuild autostuff
- fix shared library linking

Revision 1.3  2001/03/11 07:17:17  qboosh
- opt patch

Revision 1.2  2001/02/16 00:33:19  wrobell
- patch to create binaries linked with shared libraries
- release up, stb

Revision 1.1  2001/02/16 00:07:53  wrobell
- created from template, stb
